/*
 * ********************************************************************************************************************
 *
 *               iFHS7.
 *              ;BBMBMBMc                  rZMBMBR              BMB
 *              MBEr:;PBM,               7MBMMEOBB:             BBB                       RBW
 *     XK:      BO     SB.     :SZ       MBM.       c;;     ir  BBM :FFr       :SSF:    ;xBMB:r   iuGXv.    i:. iF2;
 *     DBBM0r.  :D     S7   ;XMBMB       GMBMu.     MBM:   BMB  MBMBBBMBMS   WMBMBMBBK  MBMBMBM  BMBRBMBW  .MBMBMBMBB
 *      :JMRMMD  ..    ,  1MMRM1;         ;MBMBBR:   MBM  ;MB:  BMB:   MBM. RMBr   sBMH   BM0         UMB,  BMB.  KMBv
 *     ;.   XOW  B1; :uM: 1RE,   i           .2BMBs  rMB. MBO   MBO    JMB; MBB     MBM   BBS    7MBMBOBM:  MBW   :BMc
 *     OBRJ.SEE  MRDOWOR, 3DE:7OBM       .     ;BMB   RMR7BM    BMB    MBB. BMB    ,BMR  .BBZ   MMB   rMB,  BMM   rMB7
 *     :FBRO0D0  RKXSXPR. JOKOOMPi       BMBSSWBMB;    BMBB:    MBMB0ZMBMS  .BMBOXRBMB    MBMDE RBM2;SMBM;  MBB   xBM2
 *         iZGE  O0SHSPO. uGZ7.          sBMBMBDL      :BMO     OZu:BMBK,     rRBMB0;     ,EBMB  xBMBr:ER.  RDU   :OO;
 *     ,BZ, 1D0  RPSFHXR. xWZ .SMr                  . .BBB
 *      :0BMRDG  RESSSKR. 2WOMBW;                   BMBMR
 *         i0BM: SWKHKGO  MBDv
 *           .UB  OOGDM. MK,                                          Copyright (c) 2015-2019.  斯伯坦机器人
 *              ,  XMW  ..
 *                  r                                                                     All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.sybotan.android.database

import android.database.sqlite.SQLiteDatabase
import com.sybotan.android.base.SApplication
import com.sybotan.android.database.extensions.execSQL
import org.jetbrains.anko.db.ManagedSQLiteOpenHelper
import java.io.InputStream

/**
 * 数据库操作对象
 *
 * @author  庞利祥(sybotan@126.com)
 */
object SDatabase
    : ManagedSQLiteOpenHelper(SApplication.app.applicationContext, "SDatabase.db", null, SApplication.app.databaseVersion) {
    /**
     * 创建数据库回调函数。执生"assets/sql/database.sql"完成数据库创建。
     *
     * @param   db      指向创建的数据库
     */
    override fun onCreate(db: SQLiteDatabase) {
        var input: InputStream? = null
        try {
            input = SApplication.app.applicationContext.assets.open("sql/database.sql")
            db.execSQL(input)
        } catch (e: Exception) {
            e.printStackTrace()
        } finally {
            input?.close()
        }
        return
    } // Function onCreate()

    /**
     * 数据库升级回调函数。执行"assets/sql/database_$oldVersion-$newVersion.sql"完成升级。
     *
     * @param   db              指向数据库实例
     * @param   oldVersion      数据库旧版本号
     * @param   newVersion      数据库新版本号
     */
    override fun onUpgrade(db: SQLiteDatabase, oldVersion: Int, newVersion: Int) {
        var input: InputStream? = null
        try {
            input = SApplication.app.applicationContext.assets.open("sql/database_$oldVersion-$newVersion.sql")
            db.execSQL(input)
        } catch (e: Exception) {
            e.printStackTrace()
        } finally {
            input?.close()
        }
        return
    } // Function onUpgrade()
} // Class SDatabase